import { BlankTemplateView, PageTemplateView, TabsTemplateView } from '@/pages/frame/view/template';

// 路由配置
const options = {
    routes: [
        {
            path: '/login',
            name: '登录页',
            component: () => import('@/pages/frame/view/login'),
        },
        {
            path: '*',
            name: '404',
            component: () => import('@/pages/frame/view/exception/404'),
        },
        {
            path: '/403',
            name: '403',
            component: () => import('@/pages/frame/view/exception/403'),
        },
        {
            path: '/500',
            name: '500',
            component: () => import('@/pages/frame/view/exception/500'),
        },
        {
            path: '/',
            name: '首页',
            component: TabsTemplateView,
            redirect: '/login',
            children: [
                {
                    path: 'dashboard',
                    name: 'Dashboard',
                    meta: {
                        icon: 'dashboard',
                    },
                    component: BlankTemplateView,
                    children: [
                        {
                            path: 'workbench',
                            name: '工作台',
                            meta: {
                                page: {
                                    closable: false,
                                },
                            },
                            component: () => import('@/pages/dashboard/workbench'),
                        },
                        {
                            path: 'analysis',
                            name: '分析页',
                            component: () => import('@/pages/dashboard/analysis'),
                        },
                    ],
                },
                {
                    path: 'system_management',
                    name: '系统管理',
                    meta: {
                        icon: 'setting',
                        page: {
                            cacheAble: true,
                        },
                    },
                    component: PageTemplateView,
                    children: [
                        {
                            path: 'menu_management',
                            name: '菜单管理',
                            component: () => import('@/pages/system/view/menu'),
                        },
                        {
                            path: 'organization_management',
                            name: '组织管理',
                            component: () => import('@/pages/system/view/organization'),
                        },
                        {
                            path: 'user_management',
                            name: '用户管理',
                            component: () => import('@/pages/system/view/user'),
                        },
                        {
                            path: 'role_management',
                            name: '角色管理',
                            component: () => import('@/pages/system/view/role'),
                        },
                        {
                            path: 'parameter_management',
                            name: '参数管理',
                            component: () => import('@/pages/system/view/parameter'),
                        },
                        {
                            path: 'log_management',
                            name: '日志管理',
                            component: () => import('@/pages/system/view/log'),
                        },
                        {
                            path: 'task_management',
                            name: '任务管理',
                            component: () => import('@/pages/system/view/task/index.vue'),
                        },
                    ],
                },
            ],
        },
    ],
};

export default options;
